﻿using System.Reflection;

namespace GetAssemblyVariants.ClassLibrary {
	public interface I1 {
		public void f();
	}

	public class ClassInLibrary {
		public static void m(I1 i1) {
			Console.WriteLine("ClassInLibrary.m():");
			Console.WriteLine($"+ GetExecutingAssembly() -> {Assembly.GetExecutingAssembly()}");
			Console.WriteLine($"+ GetCallingAssembly() -> {Assembly.GetCallingAssembly()}");
			Console.WriteLine($"+ GetEntryAssembly() -> {Assembly.GetEntryAssembly()}");
			Console.WriteLine();

			Console.WriteLine("ClassInLibrary.m() calling i1.f():");
			i1.f();
		}
	}
}
