﻿using GetAssemblyVariants.ClassLibrary;
using System.Reflection;

Console.WriteLine("Main:");
Console.WriteLine($"+ GetExecutingAssembly() -> {Assembly.GetExecutingAssembly()}");
Console.WriteLine($"+ GetCallingAssembly() -> {Assembly.GetCallingAssembly()}");
Console.WriteLine($"+ GetEntryAssembly() -> {Assembly.GetEntryAssembly()}");
Console.WriteLine();

A a = new A();
Console.WriteLine("Main calling a.f():");
a.f();

Console.WriteLine("Main calling ClassInLibrary.m(a):");
ClassInLibrary.m(a);

class A : I1 {
	public void f() {
        Console.WriteLine("A.f():");
        Console.WriteLine($"+ GetExecutingAssembly() -> {Assembly.GetExecutingAssembly()}");
		Console.WriteLine($"+ GetCallingAssembly() -> {Assembly.GetCallingAssembly()}");
		Console.WriteLine($"+ GetEntryAssembly() -> {Assembly.GetEntryAssembly()}");
		Console.WriteLine();
	}
}
